qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From erikb <erik.beu...@redcrater.co.nz>
Subject Trouble building the .Net bindings in Windows.
Date Thu, 14 Aug 2014 02:28:51 GMT
Good day. 
I've spent a day and a bit trying to get all the bits together that is
required to build the QPID .net bindings. I cannot believe that it has to be
this complicated and that there isn't a simple windows installation
available for the latest version.

Anyway... I've installed all the prerequisites mentioned in the
Install-Windows document under the "What to install section". When I (try
to) configure cmake, I get the following error: 
"CMake Error at src/CMakeLists.txt:90 (message):
  Can't locate ruby, needed to generate amqp 0-10 framing code."
I do have ruby installed. In fact I went to a lot of trouble to find a
windows installed for V1.9.3, as the document mentioned it needed to be
pre-version 2.

My end goal is to build a .net client that can send messages to a broker
published by a 3rd party. I need to get the QPID libraries working as I've
already tried rabbitMQ, which was oh so easy to install, but wouldn't even
connect to the broker (possibly because the broker is using the latest code,
which isn't compatible with rabbitMQ)

Any help or suggestions would be appreciated.



--
View this message in context: http://qpid.2158936.n2.nabble.com/Trouble-building-the-Net-bindings-in-Windows-tp7611755.html
Sent from the Apache Qpid users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message